SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Macros
TransportInterface.h File Reference

Contains TransportInterface from which you can derive custom transport providers for ConsoleServer. More...

`#include "types.h"`
`#include "Export.h"`
`#include "memoryoverride.h"`

Go to the source code of this file.

## Classes

class | SLNet::TransportInterface
| Defines an interface that is used to send and receive null-terminated strings. More...

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Macros

#define | REMOTE_MAX_TEXT_INPUT 2048

## Detailed Description

Contains TransportInterface from which you can derive custom transport providers for ConsoleServer.

Definition in file TransportInterface.h.

## Macro Definition Documentation

#define REMOTE_MAX_TEXT_INPUT 2048

Definition at line 29 of file TransportInterface.h.